<%- include('../../partials/header.ejs')%>

<body>
    <%- include('../../partials/homenavbar.ejs')%>

    <div class="container">
        <hr>

        <% result.articles.rows.forEach(a => { %>
            <div class="card">
                <div class="card-header">
                    <h2><%= a.title %></h2>
                </div>
                <div class="card-body">
                    <a href="/<%= a.slug %>" class="btn btn-success">Ler artigo</a>
                </div>
            </div>
            <br>
        <% }) %>

        <div class="row">
            <div class="col col-12">

                <% if(result.page > 2) { %>
                    <a style="float: left;" href="/articles/page/<%= result.page - 1 %>"><<< Anterior</a>
                 <% } else if(result.page == 2) { %>
                    <a style="float: left;" href="/"><<< Anterior</a>
                 <% } %>

                <% if(result.next) { %>
                    <a style="float: right;" href="/articles/page/<%= result.page + 1 %>">Próximo >>></a>
                 <% } %>

            </div>
            <hr>
        </div>
        <hr>

    </div>

</body>

<%- include('../../partials/footer.ejs')%>